Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class ReadWriteBackingMap.WriteThread

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.Daemon
com.tangosol.net.cache.ReadWriteBackingMap.WriteThread`

All Implemented Interfaces:
  Guardable, Runnable

Enclosing class:
  ReadWriteBackingMap

      public class ReadWriteBackingMap.WriteThread

extends Daemon

This is the write-behind thread that pulls things from the write-behind queue and writes them to the CacheStore that the backing map uses.

Author:
  cp 2002.10.22

Nested Class Summary

Nested classes/interfaces inherited from class com.tangosol.util.Daemon
`Daemon.DaemonWorker`

Constructor Summary
`ReadWriteBackingMap.WriteThread()` Default constructor.

Method Summary
`void` | `run()` The daemon's implementation method.
`protected void` | `setGuardPolicy(Guardian guardian, long cTimeoutMillis, float flPctRecover)` Set the Guardian and policy to guard this Daemon with.
`void` | `terminate()` Terminate this Guardable. <p/> This is the final action taken by the Guardian before the Guardable is removed from its responsibility list.

Methods inherited from class com.tangosol.util.Daemon
`changeState, configureWorker, finishStarting, finishStopping, getConfiguredName, getConfiguredPriority, getContext, getDescription, getGuardRegisterAction, getMaxWaitMillis, getState, getThread, getThreadContextClassLoader, getWorker, guardIfNeeded, heartbeat, heartbeat, instantiateWorker, isGuarded, isOnWorkerThread, isRunning, isStopping, recover, setConfiguredName, setConfiguredPriority, setContext, setGuardRegisterAction, setThreadContextClassLoader, shutdown, start, stop, toStateString, toString`

Constructor Detail

### ReadWriteBackingMap.WriteThread

    public ReadWriteBackingMap.WriteThread()

  Default constructor.

Method Detail

### run

    public void run()

  The daemon's implementation method.
  Specified by:
    `run` in interface `Runnable`
  Specified by:
    `run` in class `Daemon`
  See Also:
    `Thread.run()`

### terminate

    public void terminate()

  Terminate this Guardable. <p/> This is the final action taken by the Guardian before the Guardable is removed from its responsibility list.
  Specified by:
    `terminate` in interface `Guardable`
  Overrides:
    `terminate` in class `Daemon`

### setGuardPolicy

    protected void setGuardPolicy(Guardian guardian,
                                  long cTimeoutMillis,
                                  float flPctRecover)

  Set the Guardian and policy to guard this Daemon with. The Daemon is registered with the specified Guardian each time the Daemon is started, and is released each time the Daemon is stopped.
  Overrides:
    `setGuardPolicy` in class `Daemon`
  Parameters:
    `guardian` - the Guardian that will be guarding this Daemon
    `cTimeoutMillis` - the timeout in ms for this Daemon, or 0 for the service guardian timeout
    `flPctRecover` - the recovery percentage for this Daemon

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.